package com.ruoyi.project.zjsgfa.service;

import java.util.List;
import com.ruoyi.project.zjsgfa.domain.SjJygjgdsj;

/**
 * 设计-轨道设计Service接口
 * 
 * @author ruoyi
 * @date 2025-08-14
 */
public interface ISjJygjgdsjService 
{
    /**
     * 查询设计-轨道设计
     * 
     * @param id 设计-轨道设计主键
     * @return 设计-轨道设计
     */
    public SjJygjgdsj selectSjJygjgdsjById(Long id);

    /**
     * 查询设计-轨道设计列表
     * 
     * @param sjJygjgdsj 设计-轨道设计
     * @return 设计-轨道设计集合
     */
    public List<SjJygjgdsj> selectSjJygjgdsjList(SjJygjgdsj sjJygjgdsj);

    /**
     * 新增设计-轨道设计
     * 
     * @param sjJygjgdsj 设计-轨道设计
     * @return 结果
     */
    public int insertSjJygjgdsj(SjJygjgdsj sjJygjgdsj);

    /**
     * 修改设计-轨道设计
     * 
     * @param sjJygjgdsj 设计-轨道设计
     * @return 结果
     */
    public int updateSjJygjgdsj(SjJygjgdsj sjJygjgdsj);

    /**
     * 批量删除设计-轨道设计
     * 
     * @param ids 需要删除的设计-轨道设计主键集合
     * @return 结果
     */
    public int deleteSjJygjgdsjByIds(Long[] ids);

    /**
     * 删除设计-轨道设计信息
     * 
     * @param id 设计-轨道设计主键
     * @return 结果
     */
    public int deleteSjJygjgdsjById(Long id);
}
